{##
 # - submitter (bool): If comment author is the submission author
 # - flag (int): one of Raddit\AppBundle\Entity\UserFlags constants
 # - class (string): Additional classes
 #}
{%- macro user_link(user, options) -%}
  {%- from _self import _class_by_flag -%}
  <a href="{{ path('raddit_app_user', {username: user.username}) }}"
     class="{{ (options.submitter ?? false) ? 'submitter' }} {{ _class_by_flag(options.flag ?? 0) }} {{ options.class ?? '' }}">
    {{- user.username -}}
  </a>
  {%- if options.flag ?? 0 == 0 -%}
  {% elseif options.flag == constant('Raddit\\AppBundle\\Entity\\UserFlags::FLAG_ADMIN') %}
    <small class="user-flag user-flag-admin">{{ 'user_flag.admin'|trans }}</small>
  {% elseif options.flag == constant('Raddit\\AppBundle\\Entity\\UserFlags::FLAG_MODERATOR') %}
    <small class="user-flag user-flag-moderator">{{ 'user_flag.moderator'|trans }}</small>
  {%- endif -%}
{%- endmacro -%}

{%- macro _class_by_flag(flag) -%}
  {%- if flag == 0 -%}
    {#- early exit -#}
  {%- elseif flag == constant('Raddit\\AppBundle\\Entity\\UserFlags::FLAG_ADMIN') -%}
    flag-admin
  {%- elseif flag == constant('Raddit\\AppBundle\\Entity\\UserFlags::FLAG_MODERATOR') -%}
    flag-moderator
  {%- endif -%}
{%- endmacro -%}
